#ifdef GL_ES 
precision mediump float; 
#endif 

varying vec2 v_texCoord; 
varying vec4 v_fragmentColor; 
varying vec4 v_side;
varying vec4 v_sideRect;
uniform sampler2D CC_Texture0;
//
void main(void) 
{ 
    vec4 color=texture2D(CC_Texture0, v_texCoord);
    if (color.a>0.0)
    {
        gl_FragColor = v_fragmentColor * vec4(v_side.r,v_side.g,v_side.b,color.a); 
    }
    else
    {
        gl_FragColor = v_fragmentColor * vec4(0.0,0.0,0.0,0.0); 
    }    
}